org.kie.internal.task.api.model

## Enum NotificationType

- java.lang.Object
- - java.lang.Enum<NotificationType>
  - - org.kie.internal.task.api.model.NotificationType

- All Implemented Interfaces:
    Serializable, Comparable<NotificationType>

      public enum NotificationType
      extends Enum<NotificationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Default`
    `Email`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotificationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Default

          public static final NotificationType Default

    - #### Email

          public static final NotificationType Email

  - ### Method Detail

    - #### values

          public static NotificationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationType c : NotificationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.